Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1514253 - Deleted ec2 provider makes refresh broken for any new ec2 providers
Summary: Deleted ec2 provider makes refresh broken for any new ec2 providers
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
urgent
high
Target Milestone: GA
: 5.9.0
Assignee: Julian Cheal
QA Contact: Matouš Mojžíš
URL:
Whiteboard: ec2:provider:refresh
Depends On: 1500429
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-16 22:39 UTC by Satoe Imaishi
Modified: 2018-03-06 15:14 UTC (History)
7 users (show)

Fixed In Version: 5.9.0.10
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1500429
Environment:
Last Closed: 2018-03-06 15:14:49 UTC
Category: ---
Cloudforms Team: AWS


Attachments (Terms of Use)

Comment 3 CFME Bot 2017-11-29 20:29:39 UTC
New commit detected on ManageIQ/manageiq-providers-amazon/gaprindashvili:
https://github.com/ManageIQ/manageiq-providers-amazon/commit/47edd6a15b74a7b345a87121b31774d87b5d65d2

commit 47edd6a15b74a7b345a87121b31774d87b5d65d2
Author:     Greg Blomquist <blomquisg@gmail.com>
AuthorDate: Wed Nov 15 13:51:30 2017 -0500
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Fri Nov 17 10:35:45 2017 -0500

    Merge pull request #361 from agrare/sort_amazon_queue_names
    
    Always sort ems queue names before hitting miq_queue
    (cherry picked from commit 5397111ff8a7af0b7e97b2284b352172465c6b7d)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1514253

 .../amazon/cloud_manager/refresh_worker.rb         | 15 ++++++++----
 .../amazon/cloud_manager/refresh_worker_spec.rb    | 28 ++++++++++++++++++++++
 2 files changed, 38 insertions(+), 5 deletions(-)
 create mode 100644 spec/models/manageiq/providers/amazon/cloud_manager/refresh_worker_spec.rb

Comment 4 Matouš Mojžíš 2017-12-01 11:38:03 UTC
Verified in 5.9.0.11.
Refresh is not broken anymore for new ec2 providers after deleting one.


Note You need to log in before you can comment on or make changes to this bug.